<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Transformer;

class StringLimitLength implements TransformerInterface
{
    public function getType(): string
    {
        return 'string_limit_length';
    }

    public function execute($data)
    {
        return substr($data ?? '', 0, 254);
    }
}
